pilot-read-palmpix(1)

NAME
pilot-read-palmpix - Convert all pictures in the files given or found on a Palm handheld.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-read-palmpix [-p|--port <port>] [--version] [-?|--help] [--usage] [-q|--quiet] [-s|--stretch] [-c|--colour] [-t|--type [ppm|png]] [-b|--bias bias] [-l|--list] [-n|--name name] [file] ...

 pilot-read-palmpix Image1.pdb Image2.pdb Image3.pdb

DESCRIPTION

 pilot-read-palmpix allows a Kodak PalmPix camera user to extract the images from their Palm handheld and convert them to Portable Network Graphic (.png) or Portable Pixmap (.ppm) files on their system. The default output type is Portable Pixmap (.ppm).

 pilot-read-palmpix converts all pictures in the files given, or if no files are given, on a Palm handheld, to Portable Pixmap files.

OPTIONS

  pilot-read-palmpix options
                        -b,
                        --bias bias

lighten or darken the image (0..49 darken, 51..100 lighten)
                        -c, --colour

Do a simple colour correction. The colour correction code makes a histogram from the image. Using the histogram it then makes up a couple of colour tables to try and balance the colours. It also clips the top and bottom colours to produce better perceived contrast.
                        -l, --list

List picture information found on the Palm handheld instead of converting the entries found to image files.
                        -n, --name
                        <pixname>

Convert only pixname to STDOUT, and output as type: .ppm or .png.
                        -s, --stretch

Do a histogram stretch on the colour planes
                        -t,
                        --type [ppm|png]

Specify the output picture type. Can be either "png" or "ppm".

  Conduit Options
                        -p, --port port

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-read-palmpix will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-read-palmpix will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-read-palmpix and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-read-palmpix and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

If a filelist is not given, connects to the target Palm handheld, and reads the images found in the Kodak PalmPix image database (ArchImage.pdb), and allows the user to view the list of images and image details, or to select one or all of them, and convert them to Portable Network Graphic (.png) or Portable Pixmap (.ppm) files to be viewed or printed at the desktop.

If no options are specified, all of the images on the device will be converted to ppm files by default.

If a filelist is given, convert all listed files previously fetched via pilot-xfer. See BUGS - a single file argument is ignored, a list will work.

AUTHOR

 pilot-read-palmpix was originally written by Angus Ainslie <angusa at deltatee.com > ,and updated by John Marshall <jmarshall@acm.org> to include core pilot-link functionality.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

BUGS

  Known Bugs

 pilot-read-palmpix's colour correction is nearly as good as Kodak's own, but Kodak has deprecated the PalmPix device, so it is not likely that there will be any updates to their software in the future, so this may be as good as it gets. A simple method to improve the look of colours is to do a histogram equalization in your favourite image editor.

 pilot-read-palmpix command DOES read from a file, but only if you specify a LIST of files. If only one file is given, the command tries reading from $PILOTPORT.

  Reporting Bugs

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-link(7)